> ## Documentation Index
> Fetch the complete documentation index at: https://sigma-docs.pastelhq.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# CAC Search

> ```
POST api/v1/kyc/cac
```




## OpenAPI

````yaml kyc-model.json POST /kyc/cac
openapi: 3.1.0
info:
  title: Sigma KYC API
  description: Know Your Customer API documentation
  version: 1.0.0
  license:
    name: MIT
servers:
  - url: https://sigmacdd.sabipay.com/api/v1
    description: Production
security:
  - ApiKey: []
    ApiSecret: []
paths:
  /kyc/cac:
    post:
      summary: CAC Search
      description: >-
        Performs a CAC search. Sends a POST request to the KYC CAC endpoint to
        retrieve business registration details from the Corporate Affairs
        Commission registry. Valid companyType values are BN, RC, and IT.
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CacSearchRequest'
            example:
              rcNumber: '7429883'
              companyName: PASTEL AI AFRICA LTD
              companyType: RC
      responses:
        '200':
          description: CAC lookup successful
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GenericResponse'
              example:
                message: CAC lookup successful
                data:
                  registrationNumber: '7429883'
                  businessName: PASTEL AI AFRICA LTD
                  status: ACTIVE
                  classification: null
                  registrationDate: '2024-04-03'
                  headOfficeAddress: null
                  branchAddress: null
                  state: LAGOS
                  city: LEKKI
                  lga: Ibeju-Lekki
                  companyEmail: null
                  entityType: null
                  statusMore: null
                  affiliates: 7
                  affiliatesData:
                    - surname: Royesh
                      firstname: Abuzar
                      othername: null
                      gender: MALE
                      email: info@pastelhq.ai
                      phoneNumber: +234(1)6507858479
                      dateOfBirth: '1994-05-15'
                      dateOfAppointment: '2024-04-03'
                      nationality: AFGHANISTAN
                      address: 274, Murtala Muhammed Way
                      occupation: Entrepreneur
                      affiliateType: DIRECTOR
                      idType: International Passport
        '400':
          description: Bad request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
components:
  schemas:
    CacSearchRequest:
      type: object
      required:
        - rcNumber
        - companyName
        - companyType
      properties:
        rcNumber:
          type: string
          description: The CAC registration number
          example: '7429883'
        companyName:
          type: string
          description: The registered company name
          example: PASTEL AI AFRICA LTD
        companyType:
          type: string
          description: The type of company registration
          enum:
            - BN
            - RC
            - IT
          example: RC
      example:
        rcNumber: '7429883'
        companyName: PASTEL AI AFRICA LTD
        companyType: RC
    GenericResponse:
      type: object
      properties:
        message:
          type: string
          description: Response message
        data:
          type: object
          description: Response data
    ErrorResponse:
      type: object
      properties:
        message:
          type: string
          description: Error message
      example:
        message: 'Invalid request: idNumber is required'
  securitySchemes:
    ApiKey:
      type: apiKey
      in: header
      name: apiKey
    ApiSecret:
      type: apiKey
      in: header
      name: apiSecret

````